Skip to main content
PATCH
/
v0
/
products
/
{productId}
/
plans
/
{planId}
/
archive
Archive a plan
curl --request PATCH \
  --url https://api.fungies.io/v0/products/{productId}/plans/{planId}/archive \
  --header 'Content-Type: application/json' \
  --header 'x-fngs-public-key: <api-key>' \
  --header 'x-fngs-secret-key: <api-key>' \
  --data '
{
  "id": "<string>",
  "archiveOffers": true
}
'
import requests

url = "https://api.fungies.io/v0/products/{productId}/plans/{planId}/archive"

payload = {
    "id": "<string>",
    "archiveOffers": True
}
headers = {
    "x-fngs-public-key": "<api-key>",
    "x-fngs-secret-key": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PATCH',
  headers: {
    'x-fngs-public-key': '<api-key>',
    'x-fngs-secret-key': '<api-key>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({id: '<string>', archiveOffers: true})
};

fetch('https://api.fungies.io/v0/products/{productId}/plans/{planId}/archive', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "status": "<string>",
  "data": {
    "success": true
  }
}
{
  "status": "error",
  "error": {
    "message": "Sample error message"
  }
}

Authorizations

x-fngs-public-key
string
header
required
x-fngs-secret-key
string
header
required

Path Parameters

productId
string<uuid>
required

PATCH /v0/products/:productId/plans/:planId/archive Parameter

planId
string<uuid>
required

PATCH /v0/products/:productId/plans/:planId/archive Parameter

Body

application/json

PATCH /v0/products/:productId/plans/:planId/archive Request body

id
string
required
archiveOffers
boolean

Response

PATCH /v0/products/:productId/plans/:planId/archive Positive response

status
string
required
Allowed value: "success"
data
object
required